cmake_minimum_required(VERSION 2.8)
project(test_mod_collage)

add_executable(test_mod_collage_graphics test_mod_collage_graphics.cpp)
target_link_libraries(test_mod_collage_graphics spcore)
target_link_libraries(test_mod_collage_graphics testcommon)
target_link_libraries(test_mod_collage_graphics ${wxWidgets_LIBRARIES})
target_link_libraries(test_mod_collage_graphics nvwa)
add_test (NAME test_mod_collage_graphics COMMAND $<TARGET_FILE:nvwa_loader> $<TARGET_FILE:test_mod_collage_graphics>)


add_executable(test_mod_collage_config test_mod_collage_config.cpp)
target_link_libraries(test_mod_collage_config spcore)
target_link_libraries(test_mod_collage_config testcommon)
target_link_libraries(test_mod_collage_config ${wxWidgets_LIBRARIES})
target_link_libraries(test_mod_collage_config nvwa)
#target_link_libraries(test_mod_collage_config mod_collage_gui)
add_test (NAME test_mod_collage_config COMMAND $<TARGET_FILE:nvwa_loader> $<TARGET_FILE:test_mod_collage_config>)